Package ghidra.app.util.bin.format.objc2

# Class ObjectiveC2_State

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC1_State
ghidra.app.util.bin.format.objc2.ObjectiveC2_State

public class ObjectiveC2_State extends ObjectiveC1_State

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Map<Long,ObjectiveC2_Class>`
  `classIndexMap`
  A map of the index where the class structure was defined to instantiated class object.
  `LibObjcOptimization`
  `libObjcOptimization`
  The dyld_shared_cache libobjc objc_opt_t structure, if it exists
  `final Map<Address,ObjectiveC2_InstanceVariable>`
  `variableMap`
  A map of instance variable addresses to mangled type strings.

  ### Fields inherited from class ghidra.app.util.bin.format.objectiveC.ObjectiveC1_State

  `beenApplied, encodings, is32bit, is64bit, isARM, isPowerPC, isX86, methodMap, monitor, pointerSize, program, thumbCodeLocations`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectiveC2_State(Program program, TaskMonitor monitor, CategoryPath categoryPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  `List<String>`
  `getObjectiveCSectionNames()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### classIndexMap

    public final Map<Long,ObjectiveC2_Class> classIndexMap
    A map of the index where the class structure was defined to instantiated class object.

  - ### variableMap

    public final Map<Address,ObjectiveC2_InstanceVariable> variableMap
    A map of instance variable addresses to mangled type strings.

  - ### libObjcOptimization

    public LibObjcOptimization libObjcOptimization
    The dyld_shared_cache libobjc objc_opt_t structure, if it exists

- ## Constructor Details

  - ### ObjectiveC2_State

    public ObjectiveC2_State(Program program, TaskMonitor monitor, CategoryPath categoryPath)

- ## Method Details

  - ### dispose

    public void dispose()
    Overrides:
      `dispose` in class `ObjectiveC1_State`

  - ### getObjectiveCSectionNames

    public List<String> getObjectiveCSectionNames()
    Overrides:
      `getObjectiveCSectionNames` in class `ObjectiveC1_State`